Subject: Re: bug#68059: Mismatching defconfig options

From: Lars Rustand <[email-masked]>
Date: Sat, 30 Dec 2023 11:39:51 +0100

Josselin Poiret <[email-masked]> writes:

> Guix doesn't modify the defconfig you give it, it just moves it to
> guix_defconfig.  However, it then tries to verify that the defconfig was
> properly applied, which is completely Guix-specific and might be the
> thing that doesn't work properly.

Thanks, this must be it. I guess there is an option in the config that
does not apply correctly, but since there is no verification in the
normal build process it only causes a problem in Guix. Deleting the
problematic line in the defconfig made it build correctly, so I guess
this is not a problem in Guix, but in the defconfig I was trying to use.

This issue can be closed.